"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.isTextAlignValue = exports.textAlignValues = void 0;
exports.textAlignValues = ['center', 'left', 'right', 'justify', 'start', 'end'];
const isTextAlignValue = (value) => {
    return exports.textAlignValues.includes(value);
};
exports.isTextAlignValue = isTextAlignValue;
const verticalAlignAlias = {
    'mid': 'middle',
    'base': 'baseline',
    'btm': 'bottom',
    'baseline': 'baseline',
    'top': 'top',
    'start': 'top',
    'middle': 'middle',
    'bottom': 'bottom',
    'end': 'bottom',
    'text-top': 'text-top',
    'text-bottom': 'text-bottom',
    'sub': 'sub',
    'super': 'super'
};
const align = [
    ['text-center', { textAlign: 'center' }],
    ['text-left', { textAlign: 'left' }],
    ['text-right', { textAlign: 'right' }],
    ['text-justify', { textAlign: 'justify' }],
    ['text-start', { textAlign: 'start' }],
    ['text-end', { textAlign: 'end' }],
    [/^(?:vertical|align|v)-([a-z-]+)$/, ([, v]) => ({
            verticalAlign: verticalAlignAlias[v] || v
        })]
];
exports.default = align;
//# sourceMappingURL=align.js.map