"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const position = [
    [/^pos-(.+)$/, ([, value]) => ({
            position: value
        })],
    ['pos', ([_, value]) => {
            if (!value)
                return {};
            return { position: value };
        }],
    [/^z-(\d+)$/, ([, value]) => ({
            zIndex: Number(value)
        })],
    [/^z-(auto)$/, ([, value]) => ({
            zIndex: value
        })],
    ['z', ([_, value]) => {
            if (!value)
                return {};
            return { zIndex: value === 'auto' ? value : Number(value) };
        }],
    [/^left-(\d+|auto)$/, ([, value]) => ({
            left: value === 'auto' ? value : Number(value)
        })],
    [/^right-(\d+|auto)$/, ([, value]) => ({
            right: value === 'auto' ? value : Number(value)
        })],
    [/^top-(\d+|auto)$/, ([, value]) => ({
            top: value === 'auto' ? value : Number(value)
        })],
    [/^bottom-(\d+|auto)$/, ([, value]) => ({
            bottom: value === 'auto' ? value : Number(value)
        })],
    ['inset', ([_, value]) => {
            if (!value)
                return {};
            const parts = value.split(' ');
            const styles = {};
            parts.forEach(part => {
                const [direction, size] = part.split('-');
                if (!size)
                    return;
                const value = size === 'auto' ? size : Number(size);
                switch (direction) {
                    case 'top':
                        styles.top = value;
                        break;
                    case 'right':
                        styles.right = value;
                        break;
                    case 'bottom':
                        styles.bottom = value;
                        break;
                    case 'left':
                        styles.left = value;
                        break;
                }
            });
            return styles;
        }]
];
exports.default = position;
//# sourceMappingURL=position.js.map