"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.checkStyleSheetExistence = void 0;
const core_1 = require("@babel/core");
const checkStyleSheetExistence = (path) => {
    let hasStyleSheetComponent = false;
    path.traverse({
        CallExpression(callPath) {
            if (core_1.types.isMemberExpression(callPath.node.callee) &&
                core_1.types.isIdentifier(callPath.node.callee.property) &&
                callPath.node.callee.property.name === 'create' &&
                core_1.types.isMemberExpression(callPath.node.callee.object) &&
                core_1.types.isIdentifier(callPath.node.callee.object.property) &&
                callPath.node.callee.object.property.name === 'StyleSheet') {
                hasStyleSheetComponent = true;
            }
        }
    });
    return hasStyleSheetComponent;
};
exports.checkStyleSheetExistence = checkStyleSheetExistence;
//# sourceMappingURL=checkStyleSheetExistence.js.map