"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.generateStyleHash = void 0;
const generateStyleHash = (styles, prefix) => {
    const styleStr = Object.entries(styles)
        .sort(([a], [b]) => a.localeCompare(b))
        .map(([key, value]) => `${key}:${value}`)
        .join(';');
    let hash = 0;
    for (let i = 0; i < styleStr.length; i++) {
        const char = styleStr.charCodeAt(i);
        hash = ((hash << 5) - hash) + char;
        hash = hash & hash;
    }
    return prefix + Math.abs(hash).toString(36);
};
exports.generateStyleHash = generateStyleHash;
//# sourceMappingURL=generateStyleHash.js.map