"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ensureStyleSheetImport = void 0;
const ensureStyleSheetImport = (path, t) => {
    const hasStyleSheetImport = path.node.body.some(node => t.isImportDeclaration(node) &&
        node.source.value === 'react-native' &&
        node.specifiers.some(spec => t.isImportSpecifier(spec) &&
            t.isIdentifier(spec.imported) &&
            spec.imported.name === 'StyleSheet'));
    if (!hasStyleSheetImport) {
        path.node.body.unshift(t.importDeclaration([t.importSpecifier(t.identifier('StyleSheet'), t.identifier('StyleSheet'))], t.stringLiteral('react-native')));
        return true;
    }
    return false;
};
exports.ensureStyleSheetImport = ensureStyleSheetImport;
//# sourceMappingURL=processImports.js.map