"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.manageStyleAttribute = void 0;
const findExistingStyleAttr_1 = require("./findExistingStyleAttr");
const manageStyleAttribute = (attributes, newStyle, types, openingElement) => {
    const existingStyleAttr = (0, findExistingStyleAttr_1.findExistingStyleAttr)(attributes, types);
    if (existingStyleAttr) {
        if (existingStyleAttr.value && types.isJSXExpressionContainer(existingStyleAttr.value)) {
            const expr = existingStyleAttr.value.expression;
            if (!types.isJSXEmptyExpression(expr)) {
                const arrayExpression = types.arrayExpression([
                    expr,
                    newStyle
                ]);
                existingStyleAttr.value = types.jsxExpressionContainer(arrayExpression);
                return;
            }
        }
        existingStyleAttr.value = types.jsxExpressionContainer(newStyle);
    }
    else {
        openingElement.attributes.push(types.jsxAttribute(types.jsxIdentifier('style'), types.jsxExpressionContainer(newStyle)));
    }
};
exports.manageStyleAttribute = manageStyleAttribute;
//# sourceMappingURL=styleAttributeManager.js.map